apiVersion: kustomize.config.k8s.io/v1beta1
namespace: dev
kind: Kustomization
resources:
  - ../../mcb-mock/
  - ../../provident-mock/
  - ../../silvergate-mock/
  - ../../validator/
  - ../../trust-api/
  - ../ingresses/
configMapGenerator:
- envs:
  - public-addresses.properties
  name: all-public-addresses
secretGenerator:
- envs:
  - awesomeco-banks.env
  name: awesomeco-banks
- envs:
  - coolinc-banks.env
  name: coolinc-banks
- envs:
  - trust-banks.env
  name: trust-banks
- envs:
  - silvergate-bank-passphrases.env
  name: silvergate-bank-passphrases
- envs:
  - mcb-bank-passphrases.env
  name: mcb-bank-passphrases
- envs:
  - mcb-bank-identities.env
  name: mcb-bank-identities
- envs:
  - provident-bank-passphrases.env
  name: provident-bank-passphrases
- files:
  - sg_cert.pfx
  name: silvergate-bank-cert
generatorOptions:
  disableNameSuffixHash: true
